import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import * as i2 from '@smallstack/form-core-components';
import { SmallstackFormCoreModule } from '@smallstack/form-core-components';
import { filterNullish, isEmptyObject, getJsonByPath } from '@smallstack/utils';
import { BaseWidgetComponent } from '@smallstack/widget-core';
import { map } from 'rxjs';
import { C as CONFIGURATION_KEYS, S as SOCKETS } from './smallstack-form-widgets-smallstack-form-widgets-c1e3aa90.mjs';
import '@smallstack/axios-api-client';

class AddToArrayFormWidgetComponent extends BaseWidgetComponent {
    constructor() {
        super(...arguments);
        this.schema$ = this.data$.pipe(filterNullish(), map((data) => data[CONFIGURATION_KEYS.ARRAY_SCHEMA]));
    }
    setValue(value) {
        if (value === undefined || isEmptyObject(value))
            return;
        const key = this.data[CONFIGURATION_KEYS.GLOBAL_VARIABLE_NAME];
        let model = getJsonByPath(this.widgetTreeService.getGlobalsSnapshot(), key);
        if (!(model instanceof Array))
            model = [];
        if (this.createdIndex === undefined)
            this.createdIndex = model.push(value) - 1;
        model[this.createdIndex] = value;
        this.widgetTreeService.setGlobal(key, model);
        void this.sendSocketData(SOCKETS.VALUE, value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.0.0", ngImport: i0, type: AddToArrayFormWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.0.0", type: AddToArrayFormWidgetComponent, isStandalone: true, selector: "smallstack-add-to-array-form-widget", usesInheritance: true, ngImport: i0, template: "<smallstack-form [schema]=\"schema$ | async\" (valueChange)=\"setValue($event)\">\n  <smallstack-form-table></smallstack-form-table>\n</smallstack-form>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "ngmodule", type: SmallstackFormCoreModule }, { kind: "component", type: i2.SchemaFormTableComponent, selector: "smallstack-form-table,schema-form-table,smallstack-schema-form-table", inputs: ["schema"] }, { kind: "component", type: i2.FormComponent, selector: "smallstack-form", inputs: ["schema", "options", "value"], outputs: ["valueChange", "submitForm"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.0.0", ngImport: i0, type: AddToArrayFormWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-add-to-array-form-widget", standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, imports: [CommonModule, SmallstackFormCoreModule], template: "<smallstack-form [schema]=\"schema$ | async\" (valueChange)=\"setValue($event)\">\n  <smallstack-form-table></smallstack-form-table>\n</smallstack-form>\n" }]
        }] });

export { AddToArrayFormWidgetComponent };
//# sourceMappingURL=smallstack-form-widgets-add-to-array-form-widget.component-43a4c864.mjs.map
