import { SocketDtoDirectionEnum, SocketDtoTypeEnum } from '@smallstack/axios-api-client';

var CONFIGURATION_KEYS$1;
(function (CONFIGURATION_KEYS) {
    CONFIGURATION_KEYS["GLOBAL_VARIABLE_NAME"] = "globalVariableName";
    CONFIGURATION_KEYS["ARRAY_SCHEMA"] = "arraySchema";
})(CONFIGURATION_KEYS$1 || (CONFIGURATION_KEYS$1 = {}));
var SOCKETS$1;
(function (SOCKETS) {
    SOCKETS["VALUE"] = "value";
})(SOCKETS$1 || (SOCKETS$1 = {}));
const AddToArrayFormWidget = {
    name: "AddToArrayForm",
    configuration: {
        templateName: "Add to Array Form",
        templateDescription: "Ein Widget, welches ein Formular anzeigt, um ein Element zu einem Array hinzuzufügen, welches sich in einem Objekt auf dem aktuellen Kontext befindet.",
        icon: "add",
        dataSchema: {
            type: "object",
            properties: {
                [CONFIGURATION_KEYS$1.GLOBAL_VARIABLE_NAME]: {
                    type: "string",
                    title: "Globale Variable Name",
                    description: "Der Name der Variable, welche das Array enthält, welches erweitert werden soll."
                },
                [CONFIGURATION_KEYS$1.ARRAY_SCHEMA]: {
                    type: "string",
                    title: "Formular Schema",
                    description: "Das Schema des Formulars, welches das neue Element beschreibt.",
                    "x-schema-form": {
                        widget: "monaco",
                        monacoLanguage: "json"
                    }
                }
            }
        },
        sockets: [{ direction: SocketDtoDirectionEnum.Out, name: SOCKETS$1.VALUE, type: SocketDtoTypeEnum.Object }]
    },
    component: () => import('./smallstack-form-widgets-add-to-array-form-widget.component-43a4c864.mjs').then((m) => m.AddToArrayFormWidgetComponent)
};

var CONFIGURATION_KEYS;
(function (CONFIGURATION_KEYS) {
    CONFIGURATION_KEYS["GLOBAL_VARIABLE_NAME"] = "globalVariableName";
    CONFIGURATION_KEYS["TYPE_PATH"] = "typePath";
    CONFIGURATION_KEYS["BTN_TEXT"] = "btnText";
})(CONFIGURATION_KEYS || (CONFIGURATION_KEYS = {}));
var SOCKETS;
(function (SOCKETS) {
    SOCKETS["SAVED_SUCCESSFULLY"] = "savedSuccessfully";
})(SOCKETS || (SOCKETS = {}));
const SaveModelBtnWidget = {
    name: "SaveModelBtn",
    configuration: {
        templateName: "Entität Speichern Button",
        templateDescription: "Ein Widget, welches einen Button anzeigt, um eine Entität zu speichern.",
        icon: "save--v1",
        dataSchema: {
            type: "object",
            properties: {
                [CONFIGURATION_KEYS.TYPE_PATH]: {
                    type: "string",
                    title: "Datentyp",
                    "x-schema-form": {
                        widget: "types"
                    }
                },
                [CONFIGURATION_KEYS.GLOBAL_VARIABLE_NAME]: {
                    type: "string",
                    title: "Variable Name",
                    description: "Der Name der Variable, welche das Array enthält, welches erweitert werden soll."
                },
                [CONFIGURATION_KEYS.BTN_TEXT]: {
                    type: "string",
                    title: "Button Text",
                    description: "Der Text, welcher auf dem Button angezeigt werden soll.",
                    default: "Speichern"
                }
            }
        },
        sockets: [
            { direction: SocketDtoDirectionEnum.Out, name: SOCKETS.SAVED_SUCCESSFULLY, type: SocketDtoTypeEnum.Boolean }
        ]
    },
    component: () => import('./smallstack-form-widgets-save-model-btn-widget.component-4046d31c.mjs').then((m) => m.SaveModelBtnWidgetComponent)
};

function addFormWidgets(widgetRegistry) {
    widgetRegistry.addWidget(AddToArrayFormWidget);
    widgetRegistry.addWidget(SaveModelBtnWidget);
}

/**
 * Generated bundle index. Do not edit.
 */

export { CONFIGURATION_KEYS$1 as C, SOCKETS$1 as S, CONFIGURATION_KEYS as a, SOCKETS as b, addFormWidgets as c };
//# sourceMappingURL=smallstack-form-widgets-smallstack-form-widgets-c1e3aa90.mjs.map
